#
# GOCAD Script zur Erzeugung von Karten der Bebauungsgefhrdung durch Carbonat oder Organikgehalt 
#
# Voraussetzungen: HSS_p10z25 (SGRID, Ressourcenmodell), Property: CA, OG
#
# Bearbeitet: Lerch
# Datum: 06.01.2005
#
#----------------------------------------------------------------------------------------------------------------------------------------------
#
# Hoehe jeder Zelle berechnen und in thick schreiben
#
gocad on SGrid HSS_p10z25 sgrid_compute_cells_thicknesses Along_I false property_name_I DX Along_J false property_name_J DY Along_K true property_name_K thick True_DZ false
gocad on GridObj HSS_p10z25 storage_swap  properties thick storage "disk" memory_usage 45 brick_size_nu 16 brick_size_nv 16 brick_size_nw 128
#
# In SGRID Property SUM_CO (Maechtigkeit CA oder OG oder CA + OG) erzeugen, auf 0 setzen
#
gocad on GObj HSS_p10z25 create_property  property_name SUM_CO no_datavalue_specified 1 no_datavalue -99999 number_of_elements 1 property_kind unknown storage Memory
gocad on GridObj HSS_p10z25 storage_swap  properties SUM_CO storage "disk" memory_usage 45 brick_size_nu 16 brick_size_nv 16 brick_size_nw 128
gocad on GObj HSS_p10z25 apply_script properties_info None region everywhere script "{ SUM_CO=0; }" check_no_data_values_automatically false file_name None
#
# thick in SUM_CO schreiben, wenn CA>10
#
gocad on GObj HSS_p10z25 apply_script properties_info None region everywhere script "{ if (CA>10){SUM_CO=thick;} }" check_no_data_values_automatically false file_name None
#
# thick auf SUM_CO addieren, wenn OG>3
#
gocad on GObj HSS_p10z25 apply_script properties_info None region everywhere script "{ if (OG>3){SUM_CO=SUM_CO+thick;} }" check_no_data_values_automatically false file_name None
#
# SUM_CO in CO aufsummieren
#
gocad on GridObj HSS_p10z25 sum_property property_name SUM_CO new_property_name CO specify_new_property_class false new_property_class _x_tsurf_stoerungen axis W direction normal region_name everywhere extend_result false restart_at_discontinuity true
gocad on GridObj HSS_p10z25 storage_swap  properties CO storage "disk" memory_usage 45 brick_size_nu 16 brick_size_nv 16 brick_size_nw 128
#
# Oberstes Layer des SGRIDs in Pointset exportieren
#
gocad create_vset_from_sgrid_section name co_points the_sgrid HSS_p10z25 axis W index 1345 copy_property true property CO
#
# Z in Pointset auf SP setzen (zum exportieren)
#
gocad on GObj co_points apply_script properties_info None region everywhere script "{ Z=CO;}" check_no_data_values_automatically false file_name None
#
# In dxf exportieren
#
gocad export_dxf_file objects co_points File_name /usr/people/lerch/gocad/exchange/bebauungsg/bebauungsg_hss_p10z25.dxf
