#
#
# Script zur Erzeugung einer Ueberdeckungskarte des oberen Grundwasserleiters
#
# Bearbeitung: Lerch
# Datum: 06.01.2005
#
# ------------------------------------------------------------------------------
#
# Property gwl erzeugen
#
gocad on GObj HSS_p10z25 create_property  property_name gwl no_datavalue_specified 1 no_datavalue -99999 number_of_elements 1 property_kind unknown storage Memory
gocad on GridObj HSS_p10z25 storage_swap  properties gwl storage "disk" memory_usage 45 brick_size_nu 16 brick_size_nv 16 brick_size_nw 128
#
# gwl=0 oder gwl=1 fr Grundwasserleiter
#
gocad on GObj HSS_p10z25 apply_script properties_info None region everywhere script "{ gwl=0; }" check_no_data_values_automatically false file_name None
gocad on GObj HSS_p10z25 apply_script properties_info None region everywhere script "{ if ((KH>=-1.032)&&((KN_TEIL<0.1)||((KH+KN_DIFF)>=-1.032))&&((KN_TEIL==0)||(KN_TEIL==KN_TEIL_NDV)||((KN_DIFF<=3)&&(KN_DIFF>=-3)))){gwl=1;} }" check_no_data_values_automatically false file_name None
#
# Region NON_GWL erzeugen
#
gocad on GObj HSS_p10z25 range_region region NON_GWL property gwl use_min true min 0.9 use_max true max 1.1 stype or dynamic false
gocad on GObj HSS_p10z25 complement_region region NON_GWL
#
# Zelldicke berechnen und in Property thick schreiben
#
gocad on SGrid HSS_p10z25 sgrid_compute_cells_thicknesses Along_I false property_name_I DX Along_J false property_name_J DY Along_K true property_name_K thick True_DZ false
gocad on GridObj HSS_p10z25 storage_swap  properties thick storage "disk" memory_usage 45 brick_size_nu 16 brick_size_nv 16 brick_size_nw 128
#
# thick auerhalb von NON_GWL (also im GWL) auf 0 setzen 
#
gocad on GObj HSS_p10z25 apply_script properties_info None region everywhere script "{ if (gwl==1){thick=0;} }" check_no_data_values_automatically false file_name None
#
# in Region NON_GWL thick aufsummieren
#
gocad on GridObj HSS_p10z25 sum_property property_name thick new_property_name sum_gwl specify_new_property_class false new_property_class _x_tsurf_stoerungen axis W direction normal region_name NON_GWL extend_result true restart_at_discontinuity true
gocad on GridObj HSS_p10z25 storage_swap  properties sum_gwl storage "disk" memory_usage 45 brick_size_nu 16 brick_size_nv 16 brick_size_nw 128
#
# Pointsets aus oberster sgrid Ebene erzeugen
#
gocad create_vset_from_sgrid_section name gwl_points the_sgrid HSS_p10z25 axis W index 1345 copy_property true property sum_gwl
#
# z in Pointset auf sum_gwl setzen (zum exportieren)
#
gocad on GObj gwl_points apply_script properties_info None region everywhere script "{ Z=sum_gwl;}" check_no_data_values_automatically false file_name None
#
# In dxf exportieren
#
gocad export_dxf_file objects gwl_points File_name /usr/people/lerch/gocad/exchange/gwleiter/gwl_p10z25.dxf
