#
#
# GOCAD Skript zum Erzeugen von Ueberdeckungskarten aus einem SGRID
#
# Bearbeiter: Lerch
# Datum: 06.01.2005
#
# -----------------------------------------------------------------------------
#
# Property abbau erstellen
#
gocad on GObj HSS_p10z25 create_property  property_name abbau no_datavalue_specified 1 no_datavalue -99999 number_of_elements 1 property_kind unknown storage Memory
gocad on GridObj HSS_p10z25 storage_swap  properties abbau storage "disk" memory_usage 45 brick_size_nu 16 brick_size_nv 16 brick_size_nw 128
#
# abbau in Abhngigkeit der Abbaubedingung fllen
#
gocad on GObj HSS_p10z25 apply_script properties_info None region everywhere script "{ if ( KH > -0.699 && KH < 1.301 && ( KH + KN_Diff ) > -0.699 && CA <= 5 && OG <= 5 ) { abbau =1 ; } else { abbau = 0 ; } }" check_no_data_values_automatically false file_name None
#
# Region ABBAU erstellen
#
gocad on GObj HSS_p10z25 range_region region ABBAU property abbau use_min true min 0.9 use_max true max 1.1 stype or dynamic false
#
# Zelldicke berechnen und in Property thick schreiben
#
gocad on SGrid HSS_p10z25 sgrid_compute_cells_thicknesses Along_I false property_name_I DX Along_J false property_name_J DY Along_K true property_name_K thick True_DZ false
gocad on GridObj HSS_p10z25 storage_swap  properties thick storage "disk" memory_usage 45 brick_size_nu 16 brick_size_nv 16 brick_size_nw 128
#
# Property thick normal und revers in ABBAU aufsummieren
# 
gocad on GridObj HSS_p10z25 sum_property property_name thick new_property_name sum_th_n specify_new_property_class false new_property_class _x_tsurf_stoerungen axis W direction normal region_name ABBAU extend_result false restart_at_discontinuity true
gocad on GridObj HSS_p10z25 storage_swap  properties sum_th_n storage "disk" memory_usage 45 brick_size_nu 16 brick_size_nv 16 brick_size_nw 128
gocad on GridObj HSS_p10z25 sum_property property_name thick new_property_name sum_th_r specify_new_property_class false new_property_class _x_tsurf_stoerungen axis W direction reverse region_name ABBAU extend_result false restart_at_discontinuity true
gocad on GridObj HSS_p10z25 storage_swap  properties sum_th_r storage "disk" memory_usage 45 brick_size_nu 16 brick_size_nv 16 brick_size_nw 128
#
# Property maechtigkeit in Region ABBAU aus sum_th_n und sum_th_r berechnen
#
gocad on GObj HSS_p10z25 create_property  property_name maechtigkeit no_datavalue_specified 1 no_datavalue -99999 number_of_elements 1 property_kind unknown storage Memory
gocad on GridObj HSS_p10z25 storage_swap  properties maechtigkeit storage "disk" memory_usage 45 brick_size_nu 16 brick_size_nv 16 brick_size_nw 128
gocad on GObj HSS_p10z25 apply_script properties_info None region everywhere script "{ maechtigkeit=sum_th_n+sum_th_r;}" check_no_data_values_automatically true file_name None
#
# Property abbau um zu geringe Maechtigkeiten verringern und Region ABBAU anpassen
#
gocad on GObj HSS_p10z25 apply_script properties_info None region everywhere script "{ if(maechtigkeit<=2){abbau=0;} }" check_no_data_values_automatically true file_name None
gocad on GObj HSS_p10z25 delete_region region ABBAU
gocad on GObj HSS_p10z25 range_region region ABBAU property abbau use_min true min 0.9 use_max true max 1.1 stype or dynamic false
#
# Property thick in thick_abbau und thick_non_abbau kopieren und in Abhngigkeit von (berichtigter) Property abbau auf 0 setzen
#
gocad on GObj HSS_p10z25 copy_property from thick to thick_abbau share_property_class false
gocad on GridObj HSS_p10z25 storage_swap  properties thick_abbau storage "disk" memory_usage 45 brick_size_nu 16 brick_size_nv 16 brick_size_nw 128
gocad on GObj HSS_p10z25 copy_property from thick to thick_non_abbau share_property_class false
gocad on GridObj HSS_p10z25 storage_swap  properties thick_non_abbau storage "disk" memory_usage 45 brick_size_nu 16 brick_size_nv 16 brick_size_nw 128
gocad on GObj HSS_p10z25 apply_script properties_info None region everywhere script "{ if(abbau==0){thick_abbau=0;}else{thick_non_abbau=0;} }" check_no_data_values_automatically false file_name None
#
# Maechtigkeit aufsummieren
#
gocad on GridObj HSS_p10z25 sum_property property_name thick_abbau new_property_name sum_maechtigkeit specify_new_property_class false new_property_class _x_tsurf_stoerungen axis W direction normal region_name everywhere extend_result true restart_at_discontinuity false
gocad on GridObj HSS_p10z25 storage_swap  properties sum_maechtigkeit storage "disk" memory_usage 45 brick_size_nu 16 brick_size_nv 16 brick_size_nw 128
#
# Region ABBAU in NON_ABBAU kopieren und invertieren
#
gocad on GObj HSS_p10z25 copy_region from ABBAU to NON_ABBAU is_static false
gocad on GObj HSS_p10z25 complement_region region NON_ABBAU
#
# in Region NON_ABBAU Ueberdeckung aufsummieren
#
gocad on GridObj HSS_p10z25 sum_property property_name thick_non_abbau new_property_name sum_ueberdeckung specify_new_property_class false new_property_class _x_tsurf_stoerungen axis W direction normal region_name NON_ABBAU extend_result true restart_at_discontinuity true
gocad on GridObj HSS_p10z25 storage_swap  properties sum_ueberdeckung storage "disk" memory_usage 45 brick_size_nu 16 brick_size_nv 16 brick_size_nw 128
#
# Pointsets aus oberster sgrid Ebene erzeugen
#
gocad create_vset_from_sgrid_section name maechtigkeit_points the_sgrid HSS_p10z25 axis W index 1345 copy_property true property sum_maechtigkeit
gocad create_vset_from_sgrid_section name ueberdeckung_points the_sgrid HSS_p10z25 axis W index 1345 copy_property true property sum_ueberdeckung
#
# z in Pointset auf Maechtigkeit oder Ueberdeckung setzen (zum exportieren)
#
gocad on GObj maechtigkeit_points apply_script properties_info None region everywhere script "{ Z=sum_maechtigkeit;}" check_no_data_values_automatically false file_name None
gocad on GObj ueberdeckung_points apply_script properties_info None region everywhere script "{ Z=sum_ueberdeckung;}" check_no_data_values_automatically false file_name None
#
# In dxf exportieren
#
gocad export_dxf_file objects maechtigkeit_points File_name I:/exchange/sk_maechtigkeit/maechtig_p10z25.dxf
gocad export_dxf_file objects ueberdeckung_points File_name I:/exchange/sk_ueberdeckung/ueberdeckung_p10z25.dxf 